public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/stockfish/
Date: Sat, 23 Nov 2024 16:54:45 +0000 (UTC)	[thread overview]
Message-ID: <1732380844.035bae314b847add8934886e11a4df62b9c7f16d.sam@gentoo> (raw)

commit:     035bae314b847add8934886e11a4df62b9c7f16d
Author:     Sv. Lockal <lockalsash <AT> gmail <DOT> com>
AuthorDate: Sat Jul 13 14:40:56 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 23 16:54:04 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=035bae31

games-board/stockfish: fix clang build failure

COMP should be a fixed string like clang/gcc to set tools for PGO.
Possible values are described in https://disservin.github.io/stockfish-docs/stockfish-wiki/Compiling-from-source.html#compilers
Note that even though COMP points to C compiler, stockfish calls only C++ compile provided in COMPILER parameter.

Closes: https://bugs.gentoo.org/919781
Signed-off-by: Sv. Lockal <lockalsash <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/37542
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-board/stockfish/stockfish-16-r1.ebuild | 13 ++++++++++++-
 games-board/stockfish/stockfish-16.1.ebuild  | 13 ++++++++++++-
 games-board/stockfish/stockfish-16.ebuild    | 13 ++++++++++++-
 games-board/stockfish/stockfish-17.ebuild    | 13 ++++++++++++-
 4 files changed, 48 insertions(+), 4 deletions(-)

diff --git a/games-board/stockfish/stockfish-16-r1.ebuild b/games-board/stockfish/stockfish-16-r1.ebuild
index 87fef36d749c..ff7e0ac8d26a 100644
--- a/games-board/stockfish/stockfish-16-r1.ebuild
+++ b/games-board/stockfish/stockfish-16-r1.ebuild
@@ -22,6 +22,12 @@ DEPEND="|| ( app-arch/unzip app-arch/zip )"
 
 S="${WORKDIR}/Stockfish-sf_${PV}/src"
 
+pkg_setup() {
+	if ! tc-is-clang && ! tc-is-gcc; then
+		die "Unsupported compiler: $(tc-getCC)"
+	fi
+}
+
 src_prepare() {
 	default
 
@@ -66,11 +72,16 @@ src_compile() {
 	use ppc && my_arch=ppc
 	use ppc64 && my_arch=ppc64
 
+	# Bug 919781: COMP is a fixed string like clang/gcc to set tools for PGO
+	local comp
+	tc-is-gcc && comp="gcc"
+	tc-is-clang && comp="clang"
+
 	# There's a nice hack in the Makefile that overrides the value of CXX with
 	# COMPILER to support Travis CI and we abuse it to make sure that we
 	# build with our compiler of choice.
 	emake profile-build ARCH="${my_arch}" \
-		COMP="$(tc-getCXX)" \
+		COMP="${comp}" \
 		COMPILER="$(tc-getCXX)" \
 		debug=$(usex debug "yes" "no") \
 		optimize=$(usex optimize "yes" "no")

diff --git a/games-board/stockfish/stockfish-16.1.ebuild b/games-board/stockfish/stockfish-16.1.ebuild
index 8d66d9cfa7cf..4cc6280b6b5d 100644
--- a/games-board/stockfish/stockfish-16.1.ebuild
+++ b/games-board/stockfish/stockfish-16.1.ebuild
@@ -26,6 +26,12 @@ DEPEND="|| ( app-arch/unzip app-arch/zip )"
 
 S="${WORKDIR}/Stockfish-sf_${PV}/src"
 
+pkg_setup() {
+	if ! tc-is-clang && ! tc-is-gcc; then
+		die "Unsupported compiler: $(tc-getCC)"
+	fi
+}
+
 src_prepare() {
 	default
 
@@ -72,11 +78,16 @@ src_compile() {
 	use ppc && my_arch=ppc
 	use ppc64 && my_arch=ppc64
 
+	# Bug 919781: COMP is a fixed string like clang/gcc to set tools for PGO
+	local comp
+	tc-is-gcc && comp="gcc"
+	tc-is-clang && comp="clang"
+
 	# There's a nice hack in the Makefile that overrides the value of CXX with
 	# COMPILER to support Travis CI and we abuse it to make sure that we
 	# build with our compiler of choice.
 	emake profile-build ARCH="${my_arch}" \
-		COMP="$(tc-getCXX)" \
+		COMP="${comp}" \
 		COMPILER="$(tc-getCXX)" \
 		debug=$(usex debug "yes" "no") \
 		optimize=$(usex optimize "yes" "no")

diff --git a/games-board/stockfish/stockfish-16.ebuild b/games-board/stockfish/stockfish-16.ebuild
index 4cabca417965..9103928f0daa 100644
--- a/games-board/stockfish/stockfish-16.ebuild
+++ b/games-board/stockfish/stockfish-16.ebuild
@@ -22,6 +22,12 @@ DEPEND="|| ( app-arch/unzip app-arch/zip )"
 
 S="${WORKDIR}/Stockfish-sf_${PV}/src"
 
+pkg_setup() {
+	if ! tc-is-clang && ! tc-is-gcc; then
+		die "Unsupported compiler: $(tc-getCC)"
+	fi
+}
+
 src_prepare() {
 	default
 
@@ -61,11 +67,16 @@ src_compile() {
 	use ppc && my_arch=ppc
 	use ppc64 && my_arch=ppc64
 
+	# Bug 919781: COMP is a fixed string like clang/gcc to set tools for PGO
+	local comp
+	tc-is-gcc && comp="gcc"
+	tc-is-clang && comp="clang"
+
 	# There's a nice hack in the Makefile that overrides the value of CXX with
 	# COMPILER to support Travis CI and we abuse it to make sure that we
 	# build with our compiler of choice.
 	emake profile-build ARCH="${my_arch}" \
-		COMP="$(tc-getCXX)" \
+		COMP="${comp}" \
 		COMPILER="$(tc-getCXX)" \
 		debug=$(usex debug "yes" "no") \
 		optimize=$(usex optimize "yes" "no")

diff --git a/games-board/stockfish/stockfish-17.ebuild b/games-board/stockfish/stockfish-17.ebuild
index bbc0c90cbf73..b535bb5e9f54 100644
--- a/games-board/stockfish/stockfish-17.ebuild
+++ b/games-board/stockfish/stockfish-17.ebuild
@@ -26,6 +26,12 @@ DEPEND="|| ( app-arch/unzip app-arch/zip )"
 
 S="${WORKDIR}/Stockfish-sf_${PV}/src"
 
+pkg_setup() {
+	if ! tc-is-clang && ! tc-is-gcc; then
+		die "Unsupported compiler: $(tc-getCC)"
+	fi
+}
+
 src_prepare() {
 	default
 
@@ -72,11 +78,16 @@ src_compile() {
 	use ppc && my_arch=ppc
 	use ppc64 && my_arch=ppc64
 
+	# Bug 919781: COMP is a fixed string like clang/gcc to set tools for PGO
+	local comp
+	tc-is-gcc && comp="gcc"
+	tc-is-clang && comp="clang"
+
 	# There's a nice hack in the Makefile that overrides the value of CXX with
 	# COMPILER to support Travis CI and we abuse it to make sure that we
 	# build with our compiler of choice.
 	emake profile-build ARCH="${my_arch}" \
-		COMP="$(tc-getCXX)" \
+		COMP="${comp}" \
 		COMPILER="$(tc-getCXX)" \
 		debug=$(usex debug "yes" "no") \
 		optimize=$(usex optimize "yes" "no")


             reply	other threads:[~2024-11-23 16:54 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-23 16:54 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-03  9:32 [gentoo-commits] repo/gentoo:master commit in: games-board/stockfish/ Patrick Lauer
2025-03-12 18:39 Arthur Zamarin
2025-03-08 14:34 Jakov Smolić
2025-03-08 11:20 Sam James
2024-10-27  4:05 Sam James
2024-10-27  2:53 Sam James
2024-09-13 14:25 Patrick Lauer
2024-08-02  8:03 Matthias Maier
2024-07-04  4:55 Matthias Maier
2024-02-25  7:51 Patrick Lauer
2024-02-25  7:51 Patrick Lauer
2024-02-25  7:51 Patrick Lauer
2024-01-04 15:46 罗百科
2023-11-15  5:24 Sam James
2023-07-01 16:34 罗百科
2023-06-04 10:54 WANG Xuerui
2022-12-06 16:23 罗百科
2022-09-30 11:51 Agostino Sarubbo
2022-09-29 19:59 Sam James
2022-04-20 16:51 罗百科
2022-04-20  8:02 罗百科
2022-03-20  0:26 Sam James
2021-10-30  7:11 罗百科
2021-07-03 19:06 罗百科
2021-05-17  7:49 Agostino Sarubbo
2021-05-17  7:47 Agostino Sarubbo
2021-03-01  0:40 Matthias Maier
2021-03-01  0:40 Matthias Maier
2020-02-28  2:00 Matthias Maier
2020-02-28  1:17 Matthias Maier
2020-02-28  1:17 Matthias Maier
2020-02-28  1:17 Matthias Maier
2019-07-02 11:56 Agostino Sarubbo
2019-07-02 10:33 Agostino Sarubbo
2019-06-20 18:02 Sergei Trofimovich
2018-06-11 16:28 Aaron Bauman
2017-01-27  9:07 Agostino Sarubbo
2017-01-27  9:02 Agostino Sarubbo
2017-01-26 19:48 Matthias Maier
2016-11-17  5:20 Matthias Maier
2016-11-17  5:20 Matthias Maier
2016-08-25  0:03 Michael Orlitzky
2016-07-07 19:48 Austin English
2016-05-28 10:52 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732380844.035bae314b847add8934886e11a4df62b9c7f16d.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox